Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp.event
Class MidiDataEvent

    java.lang.Object
      java.util.EventObject
          org.linuxsampler.lscp.event.MidiDataEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ChannelMidiDataEvent, DeviceMidiDataEvent

    public class MidiDataEvent

extends java.util.EventObject

A semantic event which indicates that MIDI data has arrived.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `MidiDataEvent.Type`

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MidiDataEvent(java.lang.Object source, MidiDataEvent.Type type, int note, int velocity)` Creates a new instance of `MidiDataEvent`

Method Summary
`int` | `getNote()`
`MidiDataEvent.Type` | `getType()`
`int` | `getVelocity()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MidiDataEvent

    public MidiDataEvent(java.lang.Object source,
                         MidiDataEvent.Type type,
                         int note,
                         int velocity)

  Creates a new instance of `MidiDataEvent`

Method Detail

### getType

    public MidiDataEvent.Type getType()

### getNote

    public int getNote()

### getVelocity

    public int getVelocity()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.